import { NgModule } from '@angular/core';

import { SharedModule } from '../app-common.module';

import { AdministrationRoutingModule } from './administration-routing.module';
// import { NgxChartsModule } from '@swimlane/ngx-charts';
import { JoyrideModule } from 'ngx-joyride';
import { DocumentViewerModule } from '../viewer/document-viewer.module';


import { AccountLinkComponent } from './user/account-link/account-link.component';
import { ActionAdministrationComponent } from './action/action-administration.component';
import { ActionsAdministrationComponent } from './action/actions-administration.component';
import { AlfrescoAdministrationComponent } from './alfresco/alfresco-administration.component';
import { AlfrescoListAdministrationComponent } from './alfresco/alfresco-list-administration.component';
import { BasketAdministrationComponent, BasketAdministrationSettingsModalComponent, BasketAdministrationGroupListModalComponent } from './basket/basket-administration.component';
import { BasketsAdministrationComponent } from './basket/baskets-administration.component';
import { ContactDuplicateComponent } from './contact/contact-duplicate/contact-duplicate.component';
import { ContactExportComponent } from './contact/list/export/contact-export.component';
import { ContactsCustomFieldsAdministrationComponent } from './contact/customField/contacts-custom-fields-administration.component';
import { ContactsGroupAdministrationComponent } from './contact/group/contacts-group-administration.component';
import { ContactsGroupsAdministrationComponent } from './contact/group/contacts-groups-administration.component';
import { ContactsListAdministrationComponent, ContactsListAdministrationRedirectModalComponent } from './contact/list/contacts-list-administration.component';
import { ContactsPageAdministrationComponent } from './contact/page/contacts-page-administration.component';
import { ContactsParametersAdministrationComponent } from './contact/parameter/contacts-parameters-administration.component';
import { CustomFieldsAdministrationComponent } from './customField/custom-fields-administration.component';
import { DiffusionModelAdministrationComponent } from './diffusionModel/diffusionModel-administration.component';
import { DiffusionModelsAdministrationComponent } from './diffusionModel/diffusionModels-administration.component';
import { DocserverAdministrationComponent } from './docserver/docserver-administration.component';
import { DocserversAdministrationComponent } from './docserver/docservers-administration.component';
import { DoctypesAdministrationComponent, DoctypesAdministrationRedirectModalComponent } from './doctype/doctypes-administration.component';
import { EntitiesAdministrationComponent, EntitiesAdministrationRedirectModalComponent } from './entity/entities-administration.component';
import { GroupAdministrationComponent } from './group/group-administration.component';
import { GroupsAdministrationComponent, GroupsAdministrationRedirectModalComponent } from './group/groups-administration.component';
import { HistoryAdministrationComponent } from './history/history-administration.component';
import { HistoryBatchAdministrationComponent } from './history/batch/history-batch-administration.component';
import { IndexingAdministrationComponent } from './group/indexing/indexing-administration.component';
import { IndexingModelAdministrationComponent } from './indexingModel/indexing-model-administration.component';
import { IndexingModelsAdministrationComponent } from './indexingModel/indexing-models-administration.component';
import { ListAdministrationComponent } from './basket/list/list-administration.component';
import { ManageDuplicateComponent } from './contact/contact-duplicate/manage-duplicate/manage-duplicate.component';
import { NotificationAdministrationComponent } from './notification/notification-administration.component';
import { NotificationsAdministrationComponent } from './notification/notifications-administration.component';
import { ParameterAdministrationComponent } from './parameter/parameter-administration.component';
import { ParametersAdministrationComponent } from './parameter/parameters-administration.component';
import { PrioritiesAdministrationComponent } from './priority/priorities-administration.component';
import { PriorityAdministrationComponent } from './priority/priority-administration.component';
import { SecuritiesAdministrationComponent } from './security/securities-administration.component';
import { SendmailAdministrationComponent } from './sendmail/sendmail-administration.component';
import { ShippingAdministrationComponent } from './shipping/shipping-administration.component';
import { ShippingsAdministrationComponent } from './shipping/shippings-administration.component';
import { StatusAdministrationComponent } from './status/status-administration.component';
import { StatusesAdministrationComponent } from './status/statuses-administration.component';
import { TagAdministrationComponent } from './tag/tag-administration.component';
import { TagsAdministrationComponent } from './tag/tags-administration.component';
import { TemplateAdministrationComponent, TemplateAdministrationCheckEntitiesModalComponent } from './template/template-administration.component';
import { TemplateFileEditorModalComponent } from './template/templateFileEditorModal/template-file-editor-modal.component';
import { TemplatesAdministrationComponent } from './template/templates-administration.component';
import { UpdateStatusAdministrationComponent } from './updateStatus/update-status-administration.component';
import { UserAdministrationComponent, UserAdministrationRedirectModalComponent } from './user/user-administration.component';
import { VersionsUpdateAdministrationComponent } from './versionUpdate/versions-update-administration.component';
import { AdministrationComponent } from './home/administration.component';
import { DocumentFormModule } from '../document-form.module';
import { UsersAdministrationComponent, UsersAdministrationRedirectModalComponent } from './user/users-administration.component';


@NgModule({
    imports: [
        SharedModule,
        // NgxChartsModule,
        JoyrideModule.forChild(),
        DocumentFormModule,
        AdministrationRoutingModule,
        DocumentViewerModule
    ],
    declarations: [
        AccountLinkComponent,
        ActionAdministrationComponent,
        ActionsAdministrationComponent,
        AlfrescoAdministrationComponent,
        AlfrescoListAdministrationComponent,
        BasketAdministrationComponent,
        BasketAdministrationGroupListModalComponent,
        BasketAdministrationSettingsModalComponent,
        BasketsAdministrationComponent,
        ContactDuplicateComponent,
        ContactExportComponent,
        ContactsCustomFieldsAdministrationComponent,
        ContactsGroupAdministrationComponent,
        ContactsGroupsAdministrationComponent,
        ContactsListAdministrationComponent,
        ContactsListAdministrationRedirectModalComponent,
        ContactsPageAdministrationComponent,
        ContactsParametersAdministrationComponent,
        CustomFieldsAdministrationComponent,
        DiffusionModelAdministrationComponent,
        DiffusionModelsAdministrationComponent,
        DocserverAdministrationComponent,
        DocserversAdministrationComponent,
        DoctypesAdministrationComponent,
        DoctypesAdministrationRedirectModalComponent,
        EntitiesAdministrationComponent,
        EntitiesAdministrationRedirectModalComponent,
        GroupAdministrationComponent,
        GroupsAdministrationComponent,
        GroupsAdministrationRedirectModalComponent,
        HistoryAdministrationComponent,
        HistoryBatchAdministrationComponent,
        IndexingAdministrationComponent,
        IndexingModelAdministrationComponent,
        IndexingModelsAdministrationComponent,
        ListAdministrationComponent,
        ManageDuplicateComponent,
        NotificationAdministrationComponent,
        NotificationsAdministrationComponent,
        ParameterAdministrationComponent,
        ParametersAdministrationComponent,
        PrioritiesAdministrationComponent,
        PriorityAdministrationComponent,
        SecuritiesAdministrationComponent,
        SendmailAdministrationComponent,
        ShippingAdministrationComponent,
        ShippingsAdministrationComponent,
        StatusAdministrationComponent,
        StatusesAdministrationComponent,
        TagAdministrationComponent,
        TagsAdministrationComponent,
        TemplateAdministrationCheckEntitiesModalComponent,
        TemplateAdministrationComponent,
        TemplateFileEditorModalComponent,
        TemplatesAdministrationComponent,
        UpdateStatusAdministrationComponent,
        UserAdministrationComponent,
        UserAdministrationRedirectModalComponent,
        VersionsUpdateAdministrationComponent,
        AdministrationComponent,
        UsersAdministrationComponent,
        UsersAdministrationRedirectModalComponent,
    ],
    entryComponents: [
        AccountLinkComponent,
        BasketAdministrationGroupListModalComponent,
        BasketAdministrationSettingsModalComponent,
        ContactExportComponent,
        ContactsListAdministrationRedirectModalComponent,
        DoctypesAdministrationRedirectModalComponent,
        EntitiesAdministrationRedirectModalComponent,
        GroupsAdministrationRedirectModalComponent,
        ManageDuplicateComponent,
        TemplateAdministrationCheckEntitiesModalComponent,
        TemplateFileEditorModalComponent,
        UserAdministrationRedirectModalComponent,
        UsersAdministrationRedirectModalComponent,
    ],
})
export class AdministrationModule { }
